#include <iostream>

using namespace std;

main()
{
    long int T;
    cin>>T;
    for(int i=0;i<T;i++)
    {
        long int N,M;
        cin>>N>>M;
        long int A[N][M]={0};
        if(N!=M)cout<<-1<<endl;
        else
        for(int j=0;j<N;j++)
        {
            for(int m=0;m<N;m++)
                if(m==0 || m==N || j==0 || j==N)A[j][m]=1;
                else if((j+m)>N-1)A[j][m]=1;
        }
        if(A[0][0]!=0)
            for(int m=0;m<N;m++)
            {
                for(int j=0;j<N;j++)
                {
                    cout<<A[m][j]<<" ";

                }
                cout<<"\n";
            }
    }
    system("pause");
}